## CallyText CallyText — Implementation of the ATK interfaces for a ClutterText |

## Functions

AtkObject * | cally_text_new ()

## Types and Values

struct | CallyText
struct | CallyTextClass

## Object Hierarchy

        GObject
        ╰── AtkObject
            ╰── AtkGObjectAccessible
                ╰── CallyActor
                    ╰── CallyText

## Implemented Interfaces

CallyText implements AtkComponent, AtkAction, AtkText and AtkEditableText.

## Description

CallyText implements the required ATK interfaces of ClutterText, AtkText and AtkEditableText

## Functions

### cally_text_new ()

    AtkObject *
    cally_text_new (ClutterActor *actor);

Creates a new CallyText for the given `actor` . `actor` must be a ClutterText.

#### Parameters

actor | a ClutterActor |

#### Returns

the newly created AtkObject

Since 1.4

## Types and Values

### struct CallyText

    struct CallyText;

The <structname>CallyText</structname> structure contains only private data and should be accessed using the provided API

Since 1.4

### struct CallyTextClass

    struct CallyTextClass {
    };

The <structname>CallyTextClass</structname> structure contains only private data

Since 1.4

## See Also

ClutterText